EZ_AllocateColorFromName(3)

NAME
EZ_AllocateColorFromName, EZ_AllocateColorFromRGB, EZ_PixelValue2RGB - pixelvalue and color conversion

SYNOPSIS
#include <EZ.h>

unsigned long EZ_AllocateColorFromName(char *clr_name)
unsigned long EZ_AllocateColorFromRGB(int r, int g, int b)
void  EZ_PixelValue2RGB(unsigned long pv,
        int *r_ret, int *g_ret, int *b_ret)

ARGUMENTS
clr_name Specifies a color name.

r,g,b Specify the RGB components of a color.

pv Specify a pixel value.

r_ret,g_ret,b_ret Specify the returns for the RGB components of a color.

DESCRIPTION

EZ_AllocateColorFromName allocates the specified color. If exact match cannot be achieved, it finds a closest obtainable match and returns the result.

EZ_AllocateColorFromRGB allocates the specified color.

EZ_PixelValue2RGB returns the RGB components of the color associated to the given pixel value.

SEE ALSO
EZ_Color3f(3), EZ_MapColor(3)